%!octave 
%
%    Hopfield ANN based associative memory demo
%
%       OS : GNU/Linux 3.12.0-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: ann_run.m,v 1.2 2014/05/27 06:42:52 mechanoid Exp $

function retval=ann_run(w,l),
   MAX_ITERATION = 50 ;

   for i=1:MAX_ITERATION, 
      % вычисляем новое состояние
	  l_new=sign(l*w) ;
	  % восстанавливаем состояние сдвига
	  l_new(1)=1.0 ;
	  % проверяем изменения
	  if l == l_new , break; endif
	  l = l_new ;
   endfor

   printf("%i     \r",i) ;

   retval=l;

endfunction

